#ifndef DRAWLABEL_H
#define DRAWLABEL_H

#include <QLabel>
#include <qdebug.h>
#include <qpainter.h>
#include <qpoint.h>
#define MAX_POINTS 100;

class DrawLabel : public QLabel
{
    Q_OBJECT

public:
    DrawLabel(QWidget *parent = 0);
    void drawParabola();
    bool enableParabola;
    void paintEvent(QPaintEvent *evt);
    void clearMeasPoints();
    void defineMeasPoint(QPointF measPoint);
    double a,b,c;
    double m_xscale,m_yscale;

private:
    int noOfPoints;
    QPointF *parabolaPoints;
    QPointF *measPoints;
    int  measPointCount;
};

#endif // DRAWLABEL_H
