#ifndef QUADSCAN_H
#define QUADSCAN_H

#include <QtGui/QMainWindow>
#include "drawlabel.h"

namespace Ui
{
    class QuadScan;
}

class QuadScan : public QMainWindow
{
    Q_OBJECT

public:
    QuadScan(QWidget *parent = 0);
    ~QuadScan();

private:
    Ui::QuadScan *ui;
    DrawLabel *drawLabel;

private slots:
    void fileQuit();
    void enableParabola(int state);
    void drawParabola();
    void clearMeasPoints();
    void drawMeasPoint();
};

#endif // QUADSCAN_H
